configparser module error when installing Pulpissimo SDK
#3
Hello,

Thank you so much for your prompt answer. I used pip3 instead of pip2 or pip because in the first machine I tried the installation I got the message that the command was not found.
After properly installing configparser for pip2 I now get the following error:

scons: Reading SConscript files ...
FATAL ERROR: Configurations must e given either through PULP_CURRENT_CONFIG or PULP_CONFIGS

CalledProcessError: Command '['plpfiles', 'copy', '--item=archi_files']' returned non-zero exit status 255:
File "/opt/riscv/pulp-builder/archi/SConstruct", line 20:
files += subprocess.check_output(shlex.split('plpfiles copy --item=archi_files')).decode('UTF-8').split()
File "/usr/lib/python2.7/subprocess.py", line 574:
raise CalledProcessError(retcode, cmd, output=output)
Makefile:2: recipe for target 'build' failed
make: *** [build] Error 2
make: Leaving directory '/opt/riscv/pulp-builder/archi'

The value of the PULP_CURRENT_CONFIG environment variable is pulpissimo@config_file=chips/pulpissimo/pulpissimo.json, which is the value set by ./scripts/pulpissimo.sh which is invoked just before issuing build-gvsoc

Do you know what may happen now?

Thank you very much in advance for your help.
Reply


Messages In This Thread
RE: configparser module error when installing Pulpissimo SDK - by jmmarostegui - 10-29-2019, 08:57 AM

Forum Jump: